﻿#region Copyright (C) 2005-2010 Team MediaPortal

// Copyright (C) 2005-2010 Team MediaPortal
// http://www.team-mediaportal.com
// 
// MediaPortal is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version.
// 
// MediaPortal is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with MediaPortal. If not, see <http://www.gnu.org/licenses/>.

#endregion

using System;


public class Utilities
{
    #region Array-Operations

    /// <summary>
    /// Method for resizing a multi dimensional array
    /// </summary>
    /// <param name="original">Original array you want to resize</param>
    /// <param name="cols"># of columns in the new array</param>
    /// <param name="rows"># of rows in the new array</param>
    public static string[,] ResizeArray(string[,] original, int cols, int rows)    
    {    
        //create a new 2 dimensional array with    
        //the size we want    
        string[,] newArray = new string[rows, cols];   
        //copy the contents of the old array to the new one    
        Array.Copy(original, newArray, original.Length);
        //set the original to the new array
        return  newArray;  
    }

    /// <summary>
    /// Method for remove a specific entry of an 2D-array
    /// </summary>
    /// <param name="original">Original array you want to remove a line</param>
    /// <param name="at">"index of the line to delete</param>
    public static string[,] RemoveAt(string [,] original, int at)
    {
        for (int i = at; i < original.GetLength(0)-1; i++)
        {
            for (int j = 0; j < original.GetLength(1); j++)
			{
			 original[i,j]=original[i+1,j];
			}
        }
        //create a new 2 dimensional array with    
        //the size we want    
        string[,] newArray = new string[original.GetLength(0) - 1, original.GetLength(1)];
        //copy the contents of the old array to the new one    
        Array.Copy(original, newArray, original.Length - original.GetLength(1));
        //set the original to the new array
        return newArray;  
    }
    #endregion

}

